
package org.objectweb.dream.protocol.channel;

import org.objectweb.fractal.api.control.AttributeController;
import java.net.UnknownHostException;

/**
 * AttributeController interface generated with fraclet. Only {@link
 * #setHostName(String)} is modified because it throws
 * 
 * 
 * 
 * @author pgarcia
 */
public interface SSLProtocolImplAttributeController extends AttributeController {

    /**
     * This method has been automatically injected by Spoon
     * 
     * @return the reference of the field
     */
    public boolean getTcpNoDelay();

    /**
     * This method has been automatically injected by Spoon
     * 
     * @return the reference of the field
     */
    public short getConnectionRetry();

    /**
     * This method has been automatically injected by Spoon
     * 
     * @return the reference of the field
     */
    public int getPort();

    /**
     * This method has been automatically injected by Spoon
     * 
     * @return the reference of the field
     */
    public int getSoLinger();

    /**
     * This method has been automatically injected by Spoon
     * 
     * @return the reference of the field
     */
    public boolean getSoKeepAlive();

    /**
     * This method has been automatically injected by Spoon
     * 
     * @return the reference of the field
     */
    public int getSoTimeout();

    /**
     * This method has been automatically injected by Spoon
     * 
     * @param value
     *      the value to set to the field
     */
    public void setSoKeepAlive(boolean value);

    /**
     * This method has been automatically injected by Spoon
     * 
     * @return the reference of the field
     */
    public String getHostName();

    /**
     * This method has been automatically injected by Spoon
     * 
     * @return the reference of the field
     */
    public String getKeyStoreFile();

    /**
     * This method has been automatically injected by Spoon
     * 
     * @return the reference of the field
     */
    public String getKeyPassword();

    /**
     * This method has been automatically injected by Spoon
     * 
     * @return the reference of the field
     */
    public String getTrustStoreFile();

    /**
     * This method has been automatically injected by Spoon
     * 
     * @return the reference of the field
     */
    public String getTrustStorePassword();

    /**
     * This method has been automatically injected by Spoon
     * 
     * @return the reference of the field
     */
    public String getKeyStorePassword();

    /**
     * This method has been automatically injected by Spoon
     * 
     * @param value
     *      the value to set to the field
     */
    public void setConnectionRetry(short value);

    /**
     * This method has been automatically injected by Spoon
     * 
     * @param value
     *      the value to set to the field
     */
    public void setKeyPassword(String value);

    /**
     * This method has been automatically injected by Spoon
     * 
     * @param value
     *      the value to set to the field
     */
    public void setTrustStoreFile(String value);

    /**
     * This method has been automatically injected by Spoon
     * 
     * @param value
     *      the value to set to the field
     */
    public void setTrustStorePassword(String value);

    /**
     * Set the host name for the protocol.
     * 
     * @param hostname
     *      the name of the host. if "localhost", the value is set by
     * 
     *      calling {@link InetAddress#getLocalHost()}
     * 
     * @throws UnknownHostException
     */
    public void setHostName(String value) throws UnknownHostException;

    /**
     * This method has been automatically injected by Spoon
     * 
     * @param value
     *      the value to set to the field
     */
    public void setPort(int value);

    /**
     * This method has been automatically injected by Spoon
     * 
     * @param value
     *      the value to set to the field
     */
    public void setSoLinger(int value);

    /**
     * This method has been automatically injected by Spoon
     * 
     * @param value
     *      the value to set to the field
     */
    public void setSoTimeout(int value);

    /**
     * This method has been automatically injected by Spoon
     * 
     * @param value
     *      the value to set to the field
     */
    public void setTcpNoDelay(boolean value);

    /**
     * This method has been automatically injected by Spoon
     * 
     * @param value
     * 
     *      the value to set to the field
     */
    public void setKeyStoreFile(String value);

    /**
     * This method has been automatically injected by Spoon
     * 
     * @param value
     * 
     *      the value to set to the field
     */
    public void setKeyStorePassword(String value);
}
